{
  pkgs,
  vimUtils,
  fetchFromGitHub,
}: {
  extraPackages = with pkgs; [
    ccls
    clang
    luaformatter
    nixd
    pyright
    rust-analyzer
    sumneko-lua-language-server
    svls
    texlab
    tree-sitter
    verible
    zls
  ];

  plugins = with pkgs.vimPlugins; [
    cmp-buffer
    cmp-cmdline
    cmp-nvim-lsp
    cmp-nvim-ultisnips
    cmp-path
    colorizer
    fugitive
    fzf-vim
    gruvbox
    nvim-cmp
    nvim-lspconfig
    nvim-treesitter
    nvim-ts-rainbow
    repeat
    targets-vim
    UltiSnips
    vim-addon-nix
    vim-signify
    vim-slime
    vim-snippets
    zig-vim
  ];
}
