{
  config,
  pkgs,
  nix-xilinx,
  ...
}: {
  environment.systemPackages = with pkgs;
    [
      acpi
      binutils
      bluez
      bluez-tools
      btop
      dhcpcd
      direnv
      dmidecode
      dnsmasq
      fd
      file
      fzf
      fzy
      git
      gnupg
      gptfdisk
      htop
      interception-tools
      jq
      msmtp
      nano
      neovim
      nix-index
      nixos-option
      nmap
      ntfs3g
      ntfsprogs
      openhantek6022
      pax-utils
      pciutils
      pstree
      psutils
      ripgrep
      rsync
      silver-searcher
      sshfs
      strace
      swaylock
      tig
      unrar
      unzip
      usbutils
      uutils-coreutils
      vimpc
      vulkan-extension-layer
      vulkan-loader
      vulkan-tools
      vulkan-tools-lunarg
      vulkan-validation-layers
      wget
      xdg-utils
      zip
      z-lua
    ]
    ++ (with nix-xilinx.packages.x86_64-linux; [vivado vitis vitis_hls model_composer xilinx-shell]);
}
